OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs
script_suspend.hpp File Reference

The Script_Suspend tracks the suspension of a script. More...

Go to the source code of this file.

## Data Structures
class | Script_Suspend
| A throw-class that is given when the script wants to suspend. More...

## Typedefs
typedef void( | Script_SuspendCallbackProc )(class ScriptInstance *instance)
| The callback function when a script suspends.

## Detailed Description

The Script_Suspend tracks the suspension of a script.

Definition in file script_suspend.hpp.